package testing;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;

public class authenticationTokens {

	public static void main(String[] args) {
		
		EslClient eslClient = new EslClient(info.API_KEY_SANDBOX, info.API_URL_SANDBOX);
		
		//create user authentication token
		String userAuthToken = eslClient.getAuthenticationTokensService().createUserAuthenticationToken();
		System.out.println("User Token: " + userAuthToken);
		
		//Create sender authentication token
		String senderAuthToken = eslClient.getAuthenticationTokensService().createSenderAuthenticationToken("5vjLRY5MWrDJ6MzRAEyCKOy5IH0=");
		System.out.println("Sender Token: " + senderAuthToken);
		
		//Create signer authentication token
		String signerAuthToken = eslClient.getAuthenticationTokensService().createSignerAuthenticationToken("5vjLRY5MWrDJ6MzRAEyCKOy5IH0=", "8b734331-bc5b-4843-9784-d4ece4b7dc22");
		System.out.println("Signer Token: " + signerAuthToken);
	}

}
